MySQL Connector/J 6.0 Developer Guide

Pre-General Availability Draft: 2018-06-26

Chapter 2 Connector/J Versions, and the MySQL and Java Versions They Support

There are currently two MySQL Connector/J versions available:

The following table summarizes the Connector/J versions available, along with the details of JDBC driver type, versions of the JDBC API supported, versions of MySQL Server supported, JRE supported, JDK required for building, and the support status for each of the Connector/J versions:

Table 2.1 Summary of Connector/J Versions

Connector/J versionJDBC versionMySQL Server versionJRE SupportedJDK Required for CompilationStatus
6.04.25.5, 5.6, 5.71.8.x1.8.xDeveloper Milestone
5.13.0, 4.0, 4.1, 4.24.1, 5.0, 5.1, 5.5, 5.6*, 5.7*1.5.x, 1.6.x, 1.7.x, 1.8.x*1.5.x and 1.8.xRecommended version


* JRE 1.8.x is required for Connector/J 5.1 to connect to MySQL 5.6 and 5.7 with SSL/TLS when using some cipher suites.